### Enumeration

# Cogl VerticesMode

#### Declaration

    enum Cogl.VerticesMode

#### Description [src]

Different ways of interpreting vertices when drawing.

#### Members

`COGL_VERTICES_MODE_POINTS`

  FIXME, equivalent to `GL_POINTS`.

  - Value: `0`
  - Available since: 16
`COGL_VERTICES_MODE_LINES`

  FIXME, equivalent to `GL_LINES`.

  - Value: `1`
  - Available since: 16
`COGL_VERTICES_MODE_LINE_LOOP`

  FIXME, equivalent to `GL_LINE_LOOP`.

  - Value: `2`
  - Available since: 16
`COGL_VERTICES_MODE_LINE_STRIP`

  FIXME, equivalent to `GL_LINE_STRIP`.

  - Value: `3`
  - Available since: 16
`COGL_VERTICES_MODE_TRIANGLES`

  FIXME, equivalent to `GL_TRIANGLES`.

  - Value: `4`
  - Available since: 16
`COGL_VERTICES_MODE_TRIANGLE_STRIP`

  FIXME, equivalent to `GL_TRIANGLE_STRIP`.

  - Value: `5`
  - Available since: 16
`COGL_VERTICES_MODE_TRIANGLE_FAN`

  FIXME, equivalent to `GL_TRIANGLE_FAN`.

  - Value: `6`
  - Available since: 16